org.apache.datasketches.tuple.strings

## Class ArrayOfStringsSummarySetOperations

- java.lang.Object
- - org.apache.datasketches.tuple.strings.ArrayOfStringsSummarySetOperations

All Implemented Interfaces:
  SummarySetOperations<ArrayOfStringsSummary>

    public class ArrayOfStringsSummarySetOperations
    extends Object
    implements SummarySetOperations<ArrayOfStringsSummary>

Author:
  Lee Rhodes

### Constructor Summary

Constructors
Constructor and Description
`ArrayOfStringsSummarySetOperations()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ArrayOfStringsSummary` `intersection(ArrayOfStringsSummary a, ArrayOfStringsSummary b)` This is called by the intersection operator when both sketches have the same hash value.
`ArrayOfStringsSummary` `union(ArrayOfStringsSummary a, ArrayOfStringsSummary b)` This is called by the union operator when both sketches have the same hash value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayOfStringsSummarySetOperations

    public ArrayOfStringsSummarySetOperations()

### Method Detail

#### union

    public ArrayOfStringsSummary union(ArrayOfStringsSummary a,
                                       ArrayOfStringsSummary b)

Description copied from interface: `SummarySetOperations`
This is called by the union operator when both sketches have the same hash value.

Caution: Do not modify the input Summary objects. Also do not return them directly, unless they are immutable (most Summary objects are not). For mutable Summary objects, it is important to create a new Summary object with the correct contents to be returned. Do not return null summaries.

Specified by:
  `union` in interface `SummarySetOperations<ArrayOfStringsSummary>`
Parameters:
  `a` - Summary from sketch A
  `b` - Summary from sketch B
Returns:
  union of Summary A and Summary B

#### intersection

    public ArrayOfStringsSummary intersection(ArrayOfStringsSummary a,
                                              ArrayOfStringsSummary b)

Description copied from interface: `SummarySetOperations`
This is called by the intersection operator when both sketches have the same hash value.

Caution: Do not modify the input Summary objects. Also do not return them directly, unless they are immutable (most Summary objects are not). For mutable Summary objects, it is important to create a new Summary object with the correct contents to be returned. Do not return null summaries.

Specified by:
  `intersection` in interface `SummarySetOperations<ArrayOfStringsSummary>`
Parameters:
  `a` - Summary from sketch A
  `b` - Summary from sketch B
Returns:
  intersection of Summary A and Summary B